%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-vorbis
Version:        0.7.1
Release:        %mkrel 11
Summary:        Ocaml bindings to Ogg/Vorbis
License:        GPLv2
Group:          Development/OCaml
URL:            https://github.com/savonet/ocaml-vorbis
Source0:        https://github.com/savonet/ocaml-vorbis/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch0:		fix-mesg.diff
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ogg-devel
BuildRequires:  ocaml-rpm-macros
BuildRequires:  pkgconfig(vorbis)
Requires:       pkgconfig(vorbis)
Requires:       ocaml-ogg

%description
This OCaml library interfaces the vorbis C library. It can be used to
decode from or encode to the Ogg Vorbis compressed audio format as well
as to get informations about an Ogg Vorbis file.

Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for audio and music at fixed
and variable bitrates from 16 to 128 kbps/channel.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-ogg-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%configure --host=''
make all opt
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/vorbis
%make_install

%ocaml_files

%files -f .ofiles
%doc CHANGES README
%license COPYING

%files devel -f .ofiles-devel
%doc doc/html
%doc examples


%changelog
* Sat Jun 21 2025 daviddavid <daviddavid> 0.7.1-11.mga10
+ Revision: 2193566
- rebuild for ocaml 5.3.0

* Thu May 19 2022 pterjan <pterjan> 0.7.1-10.mga9
+ Revision: 1858913
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 0.7.1-9.mga9
+ Revision: 1833110
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 0.7.1-8.mga9
+ Revision: 1750862
- Rebuild for ocaml 4.13.1

* Wed Mar 03 2021 tv <tv> 0.7.1-7.mga9
+ Revision: 1697309
- rebuild for ocaml-4.2-12

* Sun Jan 10 2021 pterjan <pterjan> 0.7.1-6.mga8
+ Revision: 1670485
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.7.1-5.mga8
+ Revision: 1551375
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 0.7.1-4.mga8
+ Revision: 1545204
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 wally <wally> 0.7.1-3.mga8
+ Revision: 1484272
- fix build with %%configure macro
- use our optflags

* Tue Jan 28 2020 tv <tv> 0.7.1-2.mga8
+ Revision: 1484225
- do not use %%configure as it break everything
- fix error message
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 23 2018 tv <tv> 0.7.1-2.mga7
+ Revision: 1324247
- rebuild with ocaml-4.07.1

* Mon Sep 10 2018 daviddavid <daviddavid> 0.7.1-1.mga7
+ Revision: 1258195
- new version: 0.7.1
- remove merged upstream patch

* Tue Dec 05 2017 tv <tv> 0.7.0-1.mga7
+ Revision: 1181380
- fix debuginfo
- fix build with ocaml 4.06
- new release
- rebuild for new ocaml

* Wed Feb 17 2016 umeabot <umeabot> 0.6.1-9.mga6
+ Revision: 963912
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.1-8.mga5
+ Revision: 747270
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.1-7.mga5
+ Revision: 683128
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.1-6.mga4
+ Revision: 508619
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.1-5.mga3
+ Revision: 361701
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.6.1-4.mga3
+ Revision: 301574
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.6.1-3.mga3
+ Revision: 300510
- new rpm group for ocaml

* Sat Feb 18 2012 malo <malo> 0.6.1-2.mga2
+ Revision: 210409
- missing requires

* Mon Jan 09 2012 blue_prawn <blue_prawn> 0.6.1-1.mga2
+ Revision: 194058
- imported package ocaml-vorbis

